/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-12 15:31:10.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.questions.base.converter.model.platform;

import java.io.Serializable;
import java.util.List;

/**
 * 试卷
 */
public class PaperVo implements Serializable {
    private static final long serialVersionUID = 2180336388838138300L;
    private String id;//注：这里的Id对应试卷代码
    private String name;//试卷名称
    private String courseCode;//课程代码
    private String courseName;//课程名称
    private Double totalScore;//试卷总分
    private Integer hasVideo;//是否有音频
    private Integer detailCount;//大题数量
    private List<PaperDetailVo> details;//大题列表

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getHasVideo() {
        return hasVideo;
    }

    public void setHasVideo(Integer hasVideo) {
        this.hasVideo = hasVideo;
    }

    public Integer getDetailCount() {
        return detailCount;
    }

    public void setDetailCount(Integer detailCount) {
        this.detailCount = detailCount;
    }

    public List<PaperDetailVo> getDetails() {
        return details;
    }

    public void setDetails(List<PaperDetailVo> details) {
        this.details = details;
    }

}